declare type XY = number[];
declare interface XYObj {
    x: number;
    y: number;
}
declare interface Gamut {
    red: XY;
    green: XY;
    blue: XY;
}
declare interface GamutRanges {
    [k: string]: Gamut;
}
export default class ColorConverter {
    static getGamutRanges(): GamutRanges;
    static getLightColorGamutRange(modelId?: null): Gamut;
    static rgbToXy(red: number, green: number, blue: number, modelId?: null): {
        x: number;
        y: number;
    };
    static xyIsInGamutRange(xy: XYObj, gamut: Gamut): boolean;
    static getClosestColor(xy: XYObj, gamut: Gamut): any;
    static xyBriToRgb(x: number, y: number, bri: number): {
        r: number;
        g: number;
        b: number;
    };
}
export {};
